<?xml version="1.0" encoding="UTF-8"?>
<sch:pattern xmlns:sch="http://purl.oclc.org/dsdl/schematron" id="NL-CM-0.1.19">
   <sch:rule context="//fhir:item[fhir:linkId/@value='NL-CM-0.1.19']">
      <sch:assert test="fhir:definition/@value = 'http://www.iknl.nl/fhir/DataElement/NL-CM-0.1.19'">Definition <value-of xmlns="http://hl7.org/fhir" select="fhir:definition/@value"/> must be 'http://www.iknl.nl/fhir/DataElement/NL-CM-0.1.19'.</sch:assert>
   </sch:rule>
   <sch:rule context="//fhir:item[fhir:linkId/@value='NL-CM-0.1.19']/fhir:answer/*">
      <sch:assert test="local-name(.) = 'valueCoding'">Answer must be of type 'valueCoding'.</sch:assert>
      <sch:let name="valueset"
               value="doc(concat('../ValueSet/2.16.840.1.113883.2.4.3.11.60.40.2.0.1.4--20150401000000', '.xml'))"/>
      <sch:assert test="fhir:code/@value = $valueset//fhir:contains/fhir:code/@value"
                  see="http://decor.nictiz.nl/fhir/ValueSet/2.16.840.1.113883.2.4.3.11.60.40.2.0.1.4--20150401000000">
                Code <sch:value-of select="fhir:code/@value"/> of NL-CM-0.1.19 must be from http://decor.nictiz.nl/fhir/ValueSet/2.16.840.1.113883.2.4.3.11.60.40.2.0.1.4--20150401000000.</sch:assert>
      <sch:assert test="fhir:system/@value = $valueset//fhir:contains/fhir:system/@value"
                  see="http://decor.nictiz.nl/fhir/ValueSet/2.16.840.1.113883.2.4.3.11.60.40.2.0.1.4--20150401000000">
                System <sch:value-of select="fhir:system/@value"/> of NL-CM-0.1.19 must be from http://decor.nictiz.nl/fhir/ValueSet/2.16.840.1.113883.2.4.3.11.60.40.2.0.1.4--20150401000000.</sch:assert>
   </sch:rule>
</sch:pattern>
