<?xml version="1.0" encoding="UTF-8"?>
<sch:pattern xmlns:sch="http://purl.oclc.org/dsdl/schematron"
             id="onco-mamma-dataelement-324">
   <sch:rule context="//fhir:item[fhir:linkId/@value='onco-mamma-dataelement-324']">
      <sch:assert test="fhir:definition/@value = 'http://www.iknl.nl/fhir/DataElement/onco-mamma-dataelement-324'">Definition <value-of xmlns="http://hl7.org/fhir" select="fhir:definition/@value"/> must be 'http://www.iknl.nl/fhir/DataElement/onco-mamma-dataelement-324'.</sch:assert>
   </sch:rule>
   <sch:rule context="//fhir:item[fhir:linkId/@value='onco-mamma-dataelement-324']/fhir:answer/*">
      <sch:assert test="local-name(.) = 'valueCoding'">Answer must be of type 'valueCoding'.</sch:assert>
      <sch:let name="valueset"
               value="doc(concat('../ValueSet/2.16.840.1.113883.2.4.3.11.31.1.77.2.11.58--20151105100811', '.xml'))"/>
      <sch:assert test="fhir:code/@value = $valueset//fhir:contains/fhir:code/@value"
                  see="http://decor.nictiz.nl/fhir/ValueSet/2.16.840.1.113883.2.4.3.11.31.1.77.2.11.58--20151105100811">
                Code <sch:value-of select="fhir:code/@value"/> of onco-mamma-dataelement-324 must be from http://decor.nictiz.nl/fhir/ValueSet/2.16.840.1.113883.2.4.3.11.31.1.77.2.11.58--20151105100811.</sch:assert>
      <sch:assert test="fhir:system/@value = $valueset//fhir:contains/fhir:system/@value"
                  see="http://decor.nictiz.nl/fhir/ValueSet/2.16.840.1.113883.2.4.3.11.31.1.77.2.11.58--20151105100811">
                System <sch:value-of select="fhir:system/@value"/> of onco-mamma-dataelement-324 must be from http://decor.nictiz.nl/fhir/ValueSet/2.16.840.1.113883.2.4.3.11.31.1.77.2.11.58--20151105100811.</sch:assert>
   </sch:rule>
</sch:pattern>
